import "dotenv/config"
import express from "express"
import postRouter from "./posts"
import commentRouter from "./comments"

const PORT = process.env.PORT || 3000

const app = express()
app.use(express.json(), express.urlencoded({ extended: true }))

app.get("/", (req, res) => {
    res.status(200).send("Welcome to Posts API.")
})

app.use("/posts", postRouter)
app.use("/comments", commentRouter)

app.listen(PORT, () => {
    console.log(`Server running on port ${PORT}`)
})
